Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfSortModeType

    java.lang.Object
      java.lang.Enum<OdfSortModeType>
          org.odftoolkit.odfdom.dom.type.table.OdfSortModeType

All Implemented Interfaces:
  Serializable, Comparable<OdfSortModeType>

    public enum OdfSortModeType

extends Enum<OdfSortModeType>

DOM implementation of OpenDocument attribute table:sort-mode.

Enum Constant Summary
`DATA`
`MANUAL`
`NAME`
`NONE`

Method Summary
`static OdfSortModeType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSortModeType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSortModeType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSortModeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final OdfSortModeType NONE

### DATA

    public static final OdfSortModeType DATA

### NAME

    public static final OdfSortModeType NAME

### MANUAL

    public static final OdfSortModeType MANUAL

Method Detail

### values

    public static OdfSortModeType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSortModeType c : OdfSortModeType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSortModeType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSortModeType>`
  Returns:
    return the name of OdfSortModeType

### toString

    public static String toString(OdfSortModeType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSortModeType, see table:sort-mode
  Returns:
    return the name of OdfSortModeType

### enumValueOf

    public static OdfSortModeType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSortModeType
  Returns:
    return the constant of OdfSortModeType, see table:sort-mode

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.